Get all transactions
curl -X GET "https://test-api.kashier.io/v2/aggregator/transactions"{ "body": [ { "_id": "688f2b051d65c20012aa314a", "isPOSPortalRefund": false, "createdAt": "2025-08-03 09:25:25.557000+00:00", "merchantId": "MID-24358-575", "storeName": "TEST-Demo", "orderReference": "TEST-ORD-193402001", "merchantOrderId": "71754213106", "totalAuthorizedAmount": "105", "method": "card", "sourceOfFunds": { "cardInfo": { "maskedCard": "512345******2346", "cardBrand": "Mastercard", "cardHolderName": "John Doe", "cardDataToken": "3cd66a8b-b5e2-44c2-a753-d3ad069ff2dd", "agreement": null } }, "paymentAgreement": "regular", "provider": "mpgs", "status": "Approved", "transactionId": "TX-243585751279", "targetedTransaction": "TX-243585751277", "targetedTransactionOperation": "3dsecure_verify", "id": "00916dc7-7a3a-4875-af44-118bc678378b", "channel": "online | e-commerce", "type": "PAYMENT", "currency": "EGP", "lastStatus": "CAPTURED", "isVoided": false, "isCancelled": false, "dateToFilter": "2025-08-03 09:25:24.335000+00:00", "date": "2025-08-03 09:25:24.335000+00:00", "responseDate": "2025-08-03 09:25:25.459000+00:00", "settlementDate": "2025-08-03 09:25:25.459000+00:00", "bankValueDate": "2025-08-03 09:25:25.459000+00:00", "bankSettlementDate": "2025-08-03 09:25:25.459000+00:00", "formattedDate": "2025-08-03", "dateTime": "44724", "lastModifiedDate": "2025-08-03 09:25:25.494000+00:00", "issuer": "card", "issuerAuthorizationCode": "119058", "transactionResponseCode": "00", "transactionResponseMessage": { "en": "Approved", "ar": "تمت الموافقة" }, "pcc": { "operations": [], "financial_institution": "qnb" }, "transactions": [] } ], "message": "The payment transactions has been retreived successfully"}Retrieves a list of transaction records based on multiple optional filter parameters, such as currency, amount, status, channel, etc. The data can be paginated, sorted, and searched.
Authorization
secretKey Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).
In: header
Query Parameters
ISO 4217 currency code (e.g., EGP, USD).
Field name to sort by (e.g., amount, date, etc.). Leave empty for default.
Sorting direction: 1 = ascending, -1 = descending.
Value in
- 1
- -1
Number of records per page.
Page number
Filter by transaction status [approved, rejected, unknown]
Value in
- "approved"
- "rejected"
- "unknown"
keyword for trxId or merchant orderId to filter with
Minimum transaction amount.
Maximum transaction amount.
Payment channel [online, pos]
Value in
- "online"
- "pos"
Transaction type [payment, refund]
Value in
- "payment"
- "refund"
Payment method [card, wallet, valu, octo, souhoola]
Value in
- "card"
- "wallet"
- "valu"
- "octo"
- "souhoola"
Response Body
application/json
application/json
application/json
application/json
application/json